import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {NotificationsSidebarComponent} from "./notifications-sidebar.component";
import {IconsModule} from "../../utils/icons/icons.module";
import {IconsService} from "../../utils/icons/icons.service";
import {arrow_left, bullet, close, mail} from "../../utils/icons/icons";
import {NotificationUserModule} from "../notification-user/notification-user.module";
import {NotifyFormModule} from "../notify-form/notify-form.module";
import {SafeHtmlPipeModule} from "../../utils/pipes/safeHTMLPipe.module";

@NgModule({
  imports: [CommonModule, IconsModule, NotificationUserModule, NotifyFormModule, SafeHtmlPipeModule],
  declarations: [NotificationsSidebarComponent],
  exports: [NotificationsSidebarComponent]
})
export class NotificationsSidebarModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([mail, close, bullet, arrow_left]);
  }
}
