import {NgModule} from "@angular/core";
import {CommonModule} from "@angular/common";
import {RouterModule} from "@angular/router";
import {IconsPreviewComponent} from "./icons-preview.component";
import {IconsService} from "../icons.service";
import {IconsModule} from "../icons.module";
import {
  add,
  arrow_down,
  arrow_left,
  arrow_right,
  arrow_up,
  book, bullet, check_circle_outlined, close, cloud_upload,
  cog,
  database, done,
  earth,
  edit, group, lock, mail, person_add, photo,
  preview, print, refresh,
  remove, remove_circle, remove_circle_outline, reset, search, send
} from "../icons";

@NgModule({
  imports: [CommonModule, RouterModule.forChild([
    {path: '', component: IconsPreviewComponent}
  ]), IconsModule],
  declarations: [IconsPreviewComponent],
  exports: [IconsPreviewComponent]
})
export class IconsPreviewModule {
  constructor(private iconsService: IconsService) {
    this.iconsService.registerIcons([arrow_left, arrow_right, arrow_up, arrow_down, book, database, cog, earth, edit,
      remove, preview, bullet, remove_circle, remove_circle_outline, person_add, cloud_upload, add, group, lock, search,
      refresh, close, done, mail, photo, check_circle_outlined, reset, send, print
    ])
  }
}
